
sort_pred('<',T1,T2) :-
        T1 =.. [P1|_],
        T2 =.. [P2|_],
        P1 @< P2.

sort_pred(('>'),T1,T2) :-
        T1 =.. [P1|_],
        T2 =.. [P2|_],
        P1 @> P2.

% sort_pred('=',T1,T2) :-
%         T1 =.. [P|_],
%         T2 =.. [P|_].

test1(XX) :- predsort(sort_pred, [p(X,Y),r(X,Y,Z),q(Y),q(U)], XX).
test2(XX) :- keysort([[p,1]-p(X,Y),[r,1]-r(X,Y,Z),[q,2]-q(Y),[q,1]-q(U)], XX).
test3(X) :-
        list_to_assoc([],A),
        put_assoc(p/1,A,1,A1),
        put_assoc(q/1,A1,2,A2),
        put_assoc(p/1,A2,3,A3),
        assoc_to_list(A3, X).


        